CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_auth_by_user_v AS 
 SELECT 
    sentinel_events.evt AS event_name,
    sentinel_events.msg AS base_message,
    sentinel_events.dt AS event_datetime,
    sentinel_events.sun AS source_user_name,
    sentinel_events.dun AS destination_user_name,
    sentinel_events.rv40,
    sentinel_events.ei AS extended_info,
    sentinel_events.dhn AS target_host_name,
    sentinel_events.dip AS target_ip_dotted,
    sentinel_events.agent,
    sentinel_events.xdastaxname AS xdas_taxonomy_name,
    sentinel_events.xdasoutcomename AS xdas_outcome_name,
    (sentinel_events.xdastaxname::text || ' '::text) || sentinel_events.xdasoutcomename::text AS taxonomy_group
   FROM sentinel_events

WHERE
(sentinel_events.dhn IS NOT NULL OR sentinel_events.dip IS NOT NULL)
        AND  (sentinel_events.xdastaxname ='XDAS_AE_AUTHENTICATE_ACCOUNT')
        AND (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_USER_CREDENTIALS'
                OR sentinel_events.xdasoutcomename = 'XDAS_OUT_INVALID_IDENTITY');

ALTER TABLE idm_rpt_cfg.idmrpt_auth_by_user_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_auth_by_user_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_auth_by_user_v TO idmrptuser;
