  CREATE OR REPLACE FORCE EDITIONABLE VIEW "HVDB"."IDMRPT_SYSTEM_INFO_V" ("SCHEMANAME", "TABLENAME", "size", "ROWS_ESTIMATED", "ANALYZED", "TOTAL_DB_SIZE") AS 
  SELECT segments.owner schemaname,
       segments.segment_name tablename,
       segments.bytes/1024/1024 "size",
       "tables".num_rows rows_estimated,
       "tables".last_analyzed analyzed,
       (select sum(bytes)/(1024*1024) size_in_mb from dba_segments) total_db_size
       
FROM sys.dba_segments segments
JOIN sys.all_tables "tables" ON segments.segment_name = "tables".table_name AND segments.owner = "tables".owner
WHERE segments.segment_type='TABLE' AND (segments.owner = 'IDM_RPT_CFG' OR segments.owner = 'IDM_RPT_DATA')
      AND (segments.bytes >= 65536 OR "tables".num_rows > 0)

ORDER BY 
  schemaname, 
  tablename;
  
GRANT SELECT ON idmrpt_system_info_v TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_system_info_v for idmrpt_system_info_v;
