
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_CFG"."IDMRPT_OBJECT_PROV_V" ("EVENT_ID", "EVENT_NAME", "EVENT_DATETIME", "SOURCE_USER_NAME", "DESTINATION_USER_NAME", "FILENAME", "RV36", "INIT_SERVICE_COMP", "INIT_USER_ID", "TARGET_HOST_NAME", "TARGET_IP_DOTTED", "TARGET_TRUST_DOMAIN", "TARGET_TRUST_NAME", "AGENT", "XDAS_TAXONOMY_NAME", "XDAS_OUTCOME_NAME", "TAXONOMY_GROUP") AS 
  SELECT sentinel_events.id event_id,
    sentinel_events.evt event_name,
    sentinel_events.dt event_datetime,
    sentinel_events.sun source_user_name,
    sentinel_events.dun destination_user_name,
    sentinel_events.fn filename,
    sentinel_events.rv36,
    sentinel_events.isvcc init_service_comp,
    sentinel_events.iuid init_user_id,
    sentinel_events.dhn target_host_name,
    sentinel_events.dip target_ip_dotted,
    sentinel_events.ttd target_trust_domain,
    sentinel_events.ttn target_trust_name,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name,
    (TO_CHAR(sentinel_events.xdastaxname) || TO_CHAR(' ') || TO_CHAR(sentinel_events.xdasoutcomename)) taxonomy_group

   FROM idm_rpt_data.sentinel_events

   WHERE
  NOT (sentinel_events.fn IS NULL AND sentinel_events.dun IS NULL AND sentinel_events.ttn IS NULL) AND
   (sentinel_events.agent LIKE ('%' || 'Identity Manager' || '%') OR sentinel_events.agent LIKE ('%' || 'Modular Authentication Services' || '%')
OR sentinel_events.agent LIKE ('%' || 'iManager' || '%')) AND
    (sentinel_events.xdastaxname = 'XDAS_AE_ASSOC_TRUST'
        OR sentinel_events.xdastaxname = 'XDAS_AE_GRANT_ACCOUNT_ACCESS'
        OR sentinel_events.xdastaxname = 'XDAS_AE_REVOKE_ACCOUNT_ACCESS'
        OR sentinel_events.xdastaxname = 'XDAS_AE_DEASSOC_TRUST') AND
    (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS'
        OR sentinel_events.xdasoutcomename = 'XDAS_OUT_FAILURE') 
AND NOT (sentinel_events.rv43 IS NULL);


GRANT SELECT ON idm_rpt_cfg.IDMRPT_OBJECT_PROV_V TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM IDMRPT_OBJECT_PROV_V for IDM_RPT_CFG.IDMRPT_OBJECT_PROV_V ;
