CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_pass_reset_v AS 
 SELECT sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    CASE WHEN sentinel_events.sun IS NULL THEN sentinel_events.iuid ELSE sentinel_events.sun END source_user_name,
  CASE WHEN  sentinel_events.dun is NULL
  THEN  CASE WHEN sentinel_events.sun is NULL THEN sentinel_events.iuid ELSE sentinel_events.sun END
  ELSE sentinel_events.dun
  END destination_user_name,
  CASE WHEN sentinel_events.rv35 IS NULL THEN sentinel_events.rv36
     ELSE CASE WHEN sentinel_events.rv35 like '%cn=%'||'o=%'THEN '\'||substr(sentinel_events.rv35, INSTR(sentinel_events.rv35,'=',1,3)+1)||'\'|| substr(sentinel_events.rv35, INSTR(sentinel_events.rv35,'=',1,2)+1, INSTR(sentinel_events.rv35, ',',1,2)-INSTR(sentinel_events.rv35,'=',1,2)-1) ELSE  sentinel_events.rv35 END
  END user_domain,
    (sentinel_events.xdastaxname || ' ' || sentinel_events.xdasoutcomename) taxonomy_group,
    sentinel_events.fn filename,
    sentinel_events.rv45 target_user_domain,
    sentinel_events.rv36,
    sentinel_events.ei extended_info,
    sentinel_events.tuid target_user_id,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name
   FROM idm_rpt_data.sentinel_events
  WHERE
        CASE
            WHEN sentinel_events.agent LIKE (('%' || 'Identity Manager') || '%') THEN 
              CASE 
                WHEN sentinel_events.rv45 IS NOT NULL THEN 1
                ELSE 0 
              END
            ELSE 1
        END = 1 AND 
        sentinel_events.xdastaxname = 'XDAS_AE_SET_CRED_ACCOUNT' AND (sentinel_events.xdasoutcomename = 'XDAS_OUT_SUCCESS' OR sentinel_events.xdasoutcomename = 'XDAS_OUT_FAILURE');

GRANT SELECT ON idm_rpt_cfg.idmrpt_pass_reset_v  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_pass_reset_v for IDM_RPT_CFG.idmrpt_pass_reset_v;