CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_pass_reset_v AS 
 SELECT sentinel_events.evt AS event_name,
    sentinel_events.msg AS base_message,
    sentinel_events.dt AS event_datetime,
    CASE WHEN sentinel_events.sun IS NULL THEN sentinel_events.iuid ELSE sentinel_events.sun END AS source_user_name,
        CASE
            WHEN sentinel_events.agent::text ~~ (('%'::text || 'NetIQ Modular Authentication Services'::text) || '%'::text) THEN
            CASE
                WHEN sentinel_events.evt::text ~~ '%LSM%'::text THEN "substring"("substring"(sentinel_events.ei::text, "position"(sentinel_events.ei::text, 'Target:'::text) + 12), "position"("substring"(sentinel_events.ei::text, "position"(sentinel_events.ei::text, 'Target:'::text) + 12), 'CN='::text) + 3, "position"("substring"(sentinel_events.ei::text, "position"(sentinel_events.ei::text, 'Target:'::text) + 12), '.OU'::text) - 4)::character varying
                ELSE sentinel_events.fn
            END
            ELSE
            CASE
                WHEN sentinel_events.dun IS NULL THEN
                CASE
                    WHEN sentinel_events.sun IS NULL THEN sentinel_events.iuid
                    ELSE sentinel_events.sun
                END
                ELSE sentinel_events.dun
            END
        END AS destination_user_name,
        CASE
            WHEN sentinel_events.rv35 IS NULL THEN sentinel_events.rv36
            ELSE
            CASE
                WHEN sentinel_events.rv35::text ~~ ('%cn=%'::text || 'o=%'::text) THEN ((('\'::text || split_part(sentinel_events.rv35::text, '='::text, 4)) || '\'::text) || split_part(split_part(sentinel_events.rv35::text, ','::text, 2), '='::text, 2))::character varying
                ELSE sentinel_events.rv35
            END
        END AS user_domain,
    (sentinel_events.xdastaxname::text || ' '::text) || sentinel_events.xdasoutcomename::text AS taxonomy_group,
    sentinel_events.fn AS filename,
    sentinel_events.rv45 AS target_user_domain,
    sentinel_events.rv36,
    sentinel_events.ei AS extended_info,
    sentinel_events.tuid AS target_user_id,
    sentinel_events.agent,
    sentinel_events.xdastaxname AS xdas_taxonomy_name,
    sentinel_events.xdasoutcomename AS xdas_outcome_name
   FROM sentinel_events
  WHERE
        CASE
            WHEN sentinel_events.agent::text ~~ (('%'::text || 'Identity Manager'::text) || '%'::text) THEN sentinel_events.rv45 IS NOT NULL
            ELSE 1 = 1
        END AND sentinel_events.xdastaxname::text = 'XDAS_AE_SET_CRED_ACCOUNT'::text AND (sentinel_events.xdasoutcomename::text = 'XDAS_OUT_SUCCESS'::text OR sentinel_events.xdasoutcomename::text = 'XDAS_OUT_FAILURE'::text);

ALTER TABLE idm_rpt_cfg.idmrpt_pass_reset_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_pass_reset_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_pass_reset_v TO idmrptuser;
