CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_self_pass_change_v AS
SELECT 
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.sun source_user_name,
    sentinel_events.dun destination_user_name,
    CASE WHEN  sentinel_events.dun is NULL
      THEN CASE WHEN sentinel_events.sun is NULL THEN sentinel_events.iuid ELSE sentinel_events.sun END
      ELSE sentinel_events.dun
      END TARGET_USER_NAME,
    identity.last_name,
    identity.first_name,
    identity.department,
    acct.identity_id,
    sentinel_events.rv35,
    CASE WHEN sentinel_events.rv35 IS NULL
     THEN   sentinel_events.rv36
     ELSE CASE WHEN sentinel_events.rv35 like '%cn=%'||'o=%'THEN '\'||substr(sentinel_events.rv35, INSTR(sentinel_events.rv35,'=',1,3)+1)||'\'|| substr(sentinel_events.rv35, INSTR(sentinel_events.rv35,'=',1,2)+1, INSTR(sentinel_events.rv35, ',',1,2)-INSTR(sentinel_events.rv35,'=',1,2)-1) ELSE  sentinel_events.rv35 END
     END USER_DOMAIN,
    sentinel_events.rv36,
    (sentinel_events.xdastaxname ||' '|| sentinel_events.xdasoutcomename) TAXONOMY_GROUP,
    sentinel_events.rv40,
    sentinel_events.ei extended_info,
    sentinel_events.sip init_ip,
    sentinel_events.tuid target_user_id,
    sentinel_events.agent,
    sentinel_events.xdastaxname xdas_taxonomy_name,
    sentinel_events.xdasoutcomename xdas_outcome_name
   FROM idm_rpt_data.sentinel_events
   LEFT OUTER JOIN idm_rpt_cfg.idmrpt_idv_acct_cs_v acct ON acct.idv_acct_dn = sentinel_events.rv35
    LEFT OUTER JOIN idm_rpt_cfg.idmrpt_identity_cs_v identity ON acct.identity_id = identity.identity_id
  WHERE
  sentinel_events.agent LIKE ('%' || 'Password Reset' || '%')
  AND sentinel_events.xdastaxname= 'XDAS_AE_SET_CRED_ACCOUNT';

GRANT SELECT ON idm_rpt_cfg.idmrpt_self_pass_change_v  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM idmrpt_self_pass_change_v for IDM_RPT_CFG.idmrpt_self_pass_change_v;  
