CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_password_summary_v AS 
 SELECT DISTINCT events.event_datetime AS event_parse_time,
    events.source_user_name AS init_user_name,
        CASE
            WHEN events.destination_user_name IS NULL THEN
            CASE
                WHEN events.source_user_name IS NULL THEN events.init_user_id
                ELSE events.source_user_name
            END
            ELSE events.destination_user_name
        END AS target_user_name,
        CASE
            WHEN events.init_user_domain IS NULL THEN events.rv36
            ELSE
            CASE
                WHEN events.init_user_domain::text ~~ ('%cn=%'::text || 'o=%'::text) THEN ((('\'::text || split_part(events.init_user_domain::text, '='::text, 4)) || '\'::text) || split_part(split_part(events.init_user_domain::text, ','::text, 2), '='::text, 2))::character varying
                ELSE events.target_user_domain
            END
        END AS target_user_domain,
    'Password changes'::text AS password_group,
    events.event_datetime AS eventtime_day,
    events.event_datetime AS eventtime_hour,
        CASE
            WHEN events.xdas_outcome_name::text = 'XDAS_OUT_SUCCESS'::text THEN 1
            ELSE 0
        END AS successcnt,
        CASE
            WHEN events.xdas_outcome_name::text = 'XDAS_OUT_FAILURE'::text THEN 1
            ELSE 0
        END AS failurecnt,
    1 AS cnt,
    events.event_name,
    events.xdas_outcome_name AS outcome,
    events.agent
   FROM idm_rpt_cfg.idmrpt_events_v2 events
  WHERE (events.agent::text ~~ (('%'::text || 'Modular Authentication Services'::text) || '%'::text) OR events.agent::text ~~ (('%'::text || 'NetIQ eDirectory'::text) || '%'::text) OR events.agent::text ~~ (('%'::text || 'NetIQ Self Service Password Reset'::text) || '%'::text)) AND events.xdas_taxonomy_name::text = 'XDAS_AE_SET_CRED_ACCOUNT'::text AND (events.xdas_outcome_name::text = 'XDAS_OUT_SUCCESS'::text OR events.xdas_outcome_name::text = 'XDAS_OUT_FAILURE'::text) AND events.event_name::text ~~ (('%'::text || 'PASSWORD'::text) || '%'::text)
  ORDER BY events.event_datetime;

ALTER TABLE idm_rpt_cfg.idmrpt_password_summary_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_password_summary_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_password_summary_v TO idmrptuser;
